This is a remake of [Kimapr's NodeCore SkyBlock](/packages/Kimapr/nc_sky/) (plus the `nc_sky_hard` alternative mapgen), but designed to run *inside* a vanilla NodeCore world.  Use with normal (e.g. v7) mapgens, *not* singlenode.

The sky dimension is accessed via a portal which needs to be crafted.  You will need a tree stump, a glowing lode cube, a critical lux reactor, and an infused tempered mallet to complete the recipe.  Portals crafted in the normal world will link to a random (probably new) skyblock; portals crafted in the sky realm will point to the nearest skyblock.  Portals can only be dug and moved with an infused tempered pick/mattock.  To enter the sky dimension, the portal needs to be placed in the normal world, surrounded on 5 sides with fire, and pummeled.

Inside the sky realm, you will have a block with 28 dirt/grass, 2 stones, and 1 tree.  The expanded recipes from Kimpr's nc_sky (e.g. dirty gravel, sponge spores, stone melting ... see in-game hints) work, but only within the sky realm.  You will need to be very careful not to drop critical resources into the void, especially early on.  This skyblock is *very difficult* and you will need to plan carefully.  It is advised not to dig out the nodes directly under the teleport destination without replacing the floor, or you may find yourself unable to teleport in and remain on your skyblock.  If you mess up your block, then then your skyblock is effectively dead, and you will need to create another portal to access a new skyblock to try again.

Each skyblock is guaranteed to be initially viable, i.e. the starting tree always yields enough resources to continue gameplay and plant a second generation of trees.  Whether it is viable may still be up to RNG to some degree, but skill and planning quickly become the dominant variables.

To return to the surface, just jump off your skyblock.  If you fall off your skyblock, you will teleport back to an arbitrary portal connected to that skyblock, or the point where you last entered from the surface world if no portal can be found.  Any inventory you're carrying while teleporting will be dropped on the surface side, which means items can be transported from the sky realm to the surface, but not from the surface to the sky.  Items dropped off of a skyblock will appear around an arbitrary portal connected to that block.

*N.B. The sky realm does not play nicely with mapgen_limit by default.  You will need to configure some extra settings (see api_grid.lua) to use mapgen_limit less than the default 31000.*
